#ifndef __bsp_time_h__
#define __bsp_time_h__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

typedef void (*TIME_callback)(void*);

void TIME_Init(void);
uint32_t TIME_GetTicks(void);
int TIME_Regist(TIME_callback cb);
int TIME_UnRegist(TIME_callback cb);
uint32_t rtc_sleep(uint8_t is_wearshoes);

#endif
